<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:57:51 EDT 2005 -->
<TITLE>
Port
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.wsdl.Port interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Port";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Port.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/Part.html" title="interface in org.eclipse.wst.wsdl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/PortType.html" title="interface in org.eclipse.wst.wsdl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Port.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.wsdl</FONT>
<BR>
Interface Port</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html" title="interface in org.eclipse.wst.wsdl">ExtensibleElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html" title="interface in org.eclipse.wst.wsdl">WSDLElement</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>Port</B><DT>extends <A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html" title="interface in org.eclipse.wst.wsdl">ExtensibleElement</A></DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Port</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 This class represents a WSDL port element. A port defines an individual endpoint by specifying a single address for a binding
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><CODE><em>Name</em></CODE></li>
   <li><CODE><em>EBinding</em></CODE></li>
 </ul>
 </p>
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><CODE>org.eclipse.wsdl.WSDLPackage#getPort()</CODE></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/Binding.html" title="interface in org.eclipse.wst.wsdl">Binding</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#getEBinding()">getEBinding</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>EBinding</b></em>' reference.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Name</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#setEBinding(org.eclipse.wst.wsdl.Binding)">setEBinding</A></B>(<A HREF="../../../../org/eclipse/wst/wsdl/Binding.html" title="interface in org.eclipse.wst.wsdl">Binding</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<CODE><em>EBinding</em></CODE>' reference.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#setName(java.lang.String)">setName</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<CODE><em>Name</em></CODE>' attribute.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.wsdl.ExtensibleElement"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.eclipse.wst.wsdl.<A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html" title="interface in org.eclipse.wst.wsdl">ExtensibleElement</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html#addExtensibilityElement(org.eclipse.wst.wsdl.ExtensibilityElement)">addExtensibilityElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html#getEExtensibilityElements()">getEExtensibilityElements</A>, <A HREF="../../../../org/eclipse/wst/wsdl/ExtensibleElement.html#getExtensibilityElements()">getExtensibilityElements</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.wsdl.WSDLElement"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.eclipse.wst.wsdl.<A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html" title="interface in org.eclipse.wst.wsdl">WSDLElement</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#elementChanged(org.w3c.dom.Element)">elementChanged</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getContainer()">getContainer</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getDocumentationElement()">getDocumentationElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getElement()">getElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#getEnclosingDefinition()">getEnclosingDefinition</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setDocumentationElement(org.w3c.dom.Element)">setDocumentationElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setElement(org.w3c.dom.Element)">setElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#setEnclosingDefinition(org.eclipse.wst.wsdl.Definition)">setEnclosingDefinition</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement()">updateElement</A>, <A HREF="../../../../org/eclipse/wst/wsdl/WSDLElement.html#updateElement(boolean)">updateElement</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public java.lang.String <B>getName</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Name</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Name</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#setName(java.lang.String)"><CODE>setName(String)</CODE></A>, 
<CODE>org.eclipse.wsdl.WSDLPackage#getPort_Name()</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setName(java.lang.String)"><!-- --></A><H3>
setName</H3>
<PRE>
public void <B>setName</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<CODE><em>Name</em></CODE>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Name</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#getName()"><CODE>getName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getEBinding()"><!-- --></A><H3>
getEBinding</H3>
<PRE>
public <A HREF="../../../../org/eclipse/wst/wsdl/Binding.html" title="interface in org.eclipse.wst.wsdl">Binding</A> <B>getEBinding</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>EBinding</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>EBinding</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>EBinding</em>' reference.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#setEBinding(org.eclipse.wst.wsdl.Binding)"><CODE>setEBinding(Binding)</CODE></A>, 
<CODE>org.eclipse.wsdl.WSDLPackage#getPort_EBinding()</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setEBinding(org.eclipse.wst.wsdl.Binding)"><!-- --></A><H3>
setEBinding</H3>
<PRE>
public void <B>setEBinding</B>(<A HREF="../../../../org/eclipse/wst/wsdl/Binding.html" title="interface in org.eclipse.wst.wsdl">Binding</A>&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<CODE><em>EBinding</em></CODE>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>EBinding</em>' reference.<DT><B>See Also:</B><DD><A HREF="../../../../org/eclipse/wst/wsdl/Port.html#getEBinding()"><CODE>getEBinding()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Port.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/Part.html" title="interface in org.eclipse.wst.wsdl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/eclipse/wst/wsdl/PortType.html" title="interface in org.eclipse.wst.wsdl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Port.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
